Subject: Re: [PATCH RFC] [1/9] Core module symbol namespaces code and intro.

From: Roland Dreier <[email-masked]>
Date: Sun, 25 Nov 2007 12:29:39 -0800

> Yes, and if a symbol is already used by multiple modules, it's generically 
 > useful.  And if so, why restrict it to in-tree modules?

I agree that we shouldn't make things too hard for out-of-tree
modules, but I disagree with your first statement: there clearly is a
large class of symbols that are used by multiple modules but which are
not generically useful -- they are only useful by a certain small class
of modules.

 - R.